/*
 * prb1.c
 *
 * Created: 29/12/2022 03:34:57 a. m.
 * Author : Usuario
 */ 

#define F_CPU 16000000
#include <avr/io.h>
#include "util/delay.h"
#include <tm1637_lib.h>

long tiempo=0, distancia=0; 


int main(void)
{
    /* Replace with your application code */
	DDRC |=(1<<DDC1);
	PORTC &=~(1<<DDC1);
	DDRC |=(1<<DDC2);
	PORTC &=~(1<<DDC2);
	DDRB|=(1<<0);
	DDRB &=~(1<<1); 
	PORTB &=~ ((1<<0) |( 1<<0));
	TCCR1A = 0x00;
	TCCR1B |=(1<<CS11);
	TM1637_SetBrightness(7);
	TM1637_Init();
    while (1) 
    {
		PORTB|=(1<<0);
		_delay_us(10);
		PORTB &=~(1<<0);
		
		while((PINB&(1<<1))==0);
		TCNT1=0;
		while(PINB&(1<<1));
		tiempo =TCNT1/2;
		distancia = tiempo/58;
		TM1637_DisplayDecimal(distancia, 0); // 0: OFF 1: ON
		_delay_ms(1000);
    }
}

