
#include "tm1637_lib.h"
#include "built_in.h"

unsigned int cnt = 0;
long tiempo =0, distancia=0;

void set_up() {
DDB0_bit =1;
DDB1_bit =0;
PORTB0_bit=0;
DDC2_bit=1;  //DATA
PORTC2_bit=0;
DDC1_bit=1; //CLK
PORTC1_bit=0;
TCCR1A = 0x00;
TCCR1B |=(1<<CS11);
}

void HCSR04_TRIGGER ()
{
  PORTB0_bit=1;
  delay_us(10);
  PORTB0_bit=0;
}
void main() {
  set_up();
   TM1637_SetBrightness(7);
   TM1637_Init();
  while (1)  {
       HCSR04_TRIGGER();
       while((PINB&(1<<1))==0);
       TCNT1H=0;
       TCNT1L=0;
       while(PINB&(1<<1));
       cnt = TCNT1L;
       cnt |= TCNT1H<<8;
       tiempo =(cnt)*0.5;
       distancia =tiempo/58;
       TM1637_DisplayDecimal(distancia, 0); // 0: OFF 1: ON
       delay_ms(1000);
  }
}